Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Ubuntu 16.04 LTS non carica l'ambiente grafico
#1
Salve,

avevo Ubuntu 16.04.3 LTS (aggiornato) con Unity su una macchina fisica a 64 bit, funzionante.
Ho installato gnome-shell utilizzando i repository PPA. L'installazione era andata a buon fine però ho riscontrato il problema della gnome-shell che non rilascia la memoria (che poi ho scoperto essere un problema non nuovo nel 64 bit).
Non riesco, però, a ripartire con un'altra interfaccia grafica. Quando il sistema si avvia, arriva alla richiesta di utente/password ma non mi permette di scegliere l'interfaccia grafica. Ho installato sia LightDM che l'originale Unity (versioni 1.18.3 e 7.4.5): ora sto usando Unity dal tty1 lanciandolo con "sudo startx unity" e mi pare tutto funzionante.
Ho poi provato a fare un remove della gnome-shell, sperando che alla richiesta iniziale sparisse, invece no. Non riesco neanche più a reinstallarla perché dice che ci sono dei pacchetti mancanti/bloccati.

Come si fa, eventualmente, forzare l'avvio diretto con Unity? E per disinstallare completamente tutto quanto riguardo Gnome?

Grazie

Ciao,
Daniele
Cita messaggio
Grazie da:
#2
prova ad installare:

ubuntu-desktop

dovrebbe riportarti tutto come prima. per eliminare poi gnome, vedremo
Cita messaggio
Grazie da:
#3
No, l'ho installato (dopo ave fatto un remove, un autopurge (perché mi diceva che era già installata l'ultima versione)), ma senza miglioramenti.
Lo Gnome non riesco a reinstallarlo completo perché dice che ci sono delle dipendenze non soddisfatte (credo che installandolo precedentemente da PPA, abbia installato qualche modulo non compatibile con la mia versione di Ubuntu, che non riesce né a eliminare né a sovrascrivere).
Cita messaggio
Grazie da:
#4
Presumo che la scelta tra gli ambienti grafici installati sia descritta in un file, contenente anche la cartella coi files: sapete qual è? Magari modificandolo a mano gli do' il percorso corretto dell'Unity.

Non riesco neanche a reinstallare gnome-shell, perché mi da l'errore del file allegato.


Allegati Anteprime
   
Cita messaggio
Grazie da:
#5
prova da recovery, prima abiliti internet ( devi essere collegato con cavo ) poi ripara.
Cita messaggio
Grazie da: dthsp
#6
Ho provato a fare il dpkg (ripara pacchetti danneggiati), ma in realtà non fa niente di particolare, dice che ci sono 2 pacchetti da aggiornare (sui 600 kB totali), però poi tutto rimane come prima.
Cita messaggio
Grazie da:
#7
Prova a correggere con
Codice:
sudo apt install -f
il collegamento internet deve essere attivo.
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)